Anastasia Klimchuk submitted this change.
git-hooks: echo back the commit message on failure
When using nano as a git commit message editor the contents of the
commit message could get lost if the git commit hook fails due to
the lack of Signed-off-by line. To prevent this unpleasant effect
for new contributors the commit hook was modified to echo back the
commit message to allow the user to copy-paste it to the message
of the next commit attempt.
Change-Id: I13289f81b3fa92640aecc43eae28c1643cd7c247
Signed-off-by: Miklós Márton <martonmiklosqdev@gmail.com>
Reviewed-on: https://review.coreboot.org/c/flashrom/+/62879
Reviewed-by: Peter Marheine <pmarheine@chromium.org>
Reviewed-by: Anastasia Klimchuk <aklm@chromium.org>
Tested-by: build bot (Jenkins) <no-reply@coreboot.org>
---
M util/git-hooks/commit-msg
1 file changed, 2 insertions(+), 0 deletions(-)
diff --git a/util/git-hooks/commit-msg b/util/git-hooks/commit-msg
index d43eb45..e2f5de5 100755
--- a/util/git-hooks/commit-msg
+++ b/util/git-hooks/commit-msg
@@ -196,6 +196,7 @@
test_signoff() {
if ! grep -qi '^[[:space:]]*\+Signed-off-by:' "$MSG"; then
+ cat "$MSG"
printf "\nError: No Signed-off-by line in the commit message.\n"
printf "See: ${DEV_GUIDELINES_URL}\n"
exit 1
@@ -206,6 +207,7 @@
test_duplicate_signoffs_acks() {
test "" = "$(grep -i '^(Signed-off-by|Acked-by): ' "$MSG" |
sort | uniq -c | sed -e '/^[[:space:]]*1[[:space:]]/d')" || {
+ cat "$MSG"
echo "Duplicate Signed-off-by or Acked-by lines." >&2
exit 1
}
To view, visit change 62879. To unsubscribe, or for help writing mail filters, visit settings.